[build]
target = "riscv64i.json"

[target.riscv64i]
#linker = "riscv64-unknown-elf-ld"
linker = "ld.lld"

rustflags = [
    # "-C", "link-arg=-nostartfiles",
    "-C", "link-arg=-T../link.ld",
    "-C", "link-arg=../mem/crt.o",
    "-C", "target-feature=+m",
]

[unstable]
build-std = ["core", "compiler_builtins"]
build-std-features = ["compiler-builtins-mem"]
